<?php
/* 
   This file is a plug-in to the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2011 At Work Software (dennis@spanogle.net> 
   Copyright (C) 2011 Dennis Spanogle <dennis@spanogle.net>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SFIAB Evaluations Import</title>
</head>

<body>
<?php
include "sfiab_common.inc.php";   // check SFIAB install and get config etc.
include "eval_common.inc.php";    // check Evaluations setup and get eval_config
include "eval_menu_inc.php";
echo "<h2>Import Data</h2><br /><br />";
echo "This will upload the data from an Apperson Benchmark 3000 scanner and enter the good data into the Evaluations Entries table.<br />";
echo "Select a file to upload, then click the 'Upload' button.<br />";
echo "The file must conform to the Apperson scanner output format - see Documentation<br />";
echo " - Data from records matching an 'Apperson' project number (SFIAB project number without leading digit) and team number will be entered<br />";
echo "    into the eval_projects_entries table. Be sure to 'Calculate Scores' to update the project scores.<br />";
echo "<br />";
?>
<form action="eval_uploader.php" method="post" enctype="multipart/form-data">
<label for="file">Filename:</label>
<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
<input type="file" name="file" id="file" /> 
<br />
<input type="submit" name="Upload" value="Upload" />
</form>
</body>
</html>


